id.c File Reference
`#include "ruby/ruby.h"`
`#include "id.h"`

Go to the source code of this file.

## Macros

#define | rb_intern(str) rb_intern_const(str)
#define | rb_intern(str) rb_intern_const(str)
#define | rb_intern(str) rb_intern_const(str)

## Functions

static void | Init_id (void)

## Macro Definition Documentation

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

## Function Documentation

static void Init_id | ( | void |  | ) |

static

Definition at line 17 of file id.c.

References id_core_define_method, id_core_define_singleton_method, id_core_set_method_alias, id_core_set_postexe, id_core_set_variable_alias, id_core_undef_method, idCFUNC, idIFUNC, idNULL, idRespond_to, rb_usascii_encoding(), and REGISTER_SYMID.